Package org.gradle.tooling.exceptions

# Class UnsupportedOperationConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.tooling.GradleConnectionException
org.gradle.tooling.UnsupportedVersionException
org.gradle.tooling.exceptions.UnsupportedOperationConfigurationException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedOperationConfigurationException extends UnsupportedVersionException
Thrown when a `LongRunningOperation` has been configured with unsupported settings. For example `LongRunningOperation.setJavaHome(java.io.File)` might not be supported by the target Gradle version.

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedOperationConfigurationException(String message)`
`UnsupportedOperationConfigurationException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedOperationConfigurationException

public UnsupportedOperationConfigurationException(String message)

### UnsupportedOperationConfigurationException

public UnsupportedOperationConfigurationException(String message, Throwable cause)